Bug 156724 - Kernel does not properly work with Microsoft Wireless Desktop (keyboard/mouse) via USB interface
Kernel does not properly work with Microsoft Wireless Desktop (keyboard/mouse...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-03 13:25 EDT by Jason Fiset
Modified: 2015-01-04 17:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:38:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Fiset 2005-05-03 13:25:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
Microsoft Wireless Desktop won't work.

I get this in /var/log/messages on FC3 and these same messages come up when booting FC4test2:

May  3 10:02:59 dhcp-144 kernel: usb 2-1: new low speed USB device using uhci_hcd and address 2
May  3 10:02:59 dhcp-144 hal.hotplug[4784]: DEVPATH is not set
May  3 10:02:59 dhcp-144 kernel: input: USB HID v1.11 Keyboard [Microsft Microsoft Wireless Optical Desktop\uffff 2.10] on usb-0000:00:1d.0-1
May  3 10:02:59 dhcp-144 kernel: usbhid: probe of 2-1:1.1 failed with error -5
May  3 10:02:59 dhcp-144 kernel: usb 2-1: USB disconnect, address 2
May  3 10:02:59 dhcp-144 hal.hotplug[4858]: DEVPATH is not set
May  3 10:03:00 dhcp-144 kernel: usb 2-1: new low speed USB device using uhci_hcd and address 3
May  3 10:03:00 dhcp-144 hal.hotplug[4910]: DEVPATH is not set
May  3 10:03:00 dhcp-144 kernel: input: USB HID v1.11 Keyboard [Microsft Microsoft Wireless Optical Desktop\uffff 2.10] on usb-0000:00:1d.0-1
May  3 10:03:00 dhcp-144 kernel: usbhid: probe of 2-1:1.1 failed with error -5
May  3 10:03:00 dhcp-144 kernel: usb 2-1: USB disconnect, address 3

These messages repeat until the wireless base unit is disconnected from the USB port.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Plug in Microsoft Wireless Desktop (keyboard and mouse)
2. Watch the log file
  

Actual Results:  keyboard/mouse do not work

Expected Results:  keyboard/mouse should work

Additional info:
Comment 1 Bruce J. Merkin 2005-05-17 17:48:27 EDT
I am having similar problems getting the Microsoft Wireless Intellimouse
Explorer to work with FC4test3 - all kernels thusfar in rawhide and a fresh
install of t3.   The mouse will not work on boot-up, but when unplugged and
re-plugged anytime after the udev messages, it works.

Currently using latest kernel-smp
Giga-byte 8INXP mobo (mouse plugged into motherboard USB2 socket)
P4 3.06
2 GB RAM
160 GB HDD's

B. Merkin
Comment 2 Jason Fiset 2005-05-27 14:23:26 EDT
Did a fresh install on my laptop of FC4 test 3 and I'm still getting the same
problem:

usbhid: probe of 3-1:1.1 failed with error -5
usb 3-1: USB disconnect, address 2
usb 3-1: new low speed USB device using uhci_hcd and address 3
input: USB HID v1.11 Keyboard [Microsft Microsoft Wireless Optical Desktop\uffff
2.10]
 on usb-0000:00:1d.1-1
usbhid: probe of 3-1:1.1 failed with error -5
usb 3-1: USB disconnect, address 3
usb 3-1: new low speed USB device using uhci_hcd and address 4
input: USB HID v1.11 Keyboard [Microsft Microsoft Wireless Optical Desktop\uffff
2.10]
 on usb-0000:00:1d.1-1

I tried the suggestion of unplugging and replugging the device in but it still
will not work after doing that and I get more errors in the log file.
Comment 3 Dave Jones 2005-06-27 19:20:57 EDT
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done
so).

Thanks.
Comment 4 Bertil Askelid 2005-06-29 19:38:45 EDT
I see the exact same problems on the newly released FC4:

Jun 29 16:27:27 z hal.hotplug[12795]: DEVPATH is not set (subsystem input)
Jun 29 16:27:28 z kernel: usb 5-2: new low speed USB device using uhci_hcd and
address 83
Jun 29 16:27:28 z kernel: input: USB HID v1.11 Keyboard [Microsft Microsoft
Wireless Optical Desktop® 2.10] on usb-0000:00:1d.3-2
Jun 29 16:27:28 z hal.hotplug[12803]: DEVPATH is not set (subsystem input)
Jun 29 16:27:28 z kernel: usbhid: probe of 5-2:1.1 failed with error -5
Jun 29 16:27:28 z kernel: usb 5-2: USB disconnect, address 83
J
Comment 5 Dave Jones 2005-07-15 17:12:58 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 6 Bertil Askelid 2005-07-15 22:41:32 EDT
I tried this with the latest kernel (linux-2.6.12-1.1398_FC4). No difference.
Same error as before:

Jul 15 19:18:04 z hal.hotplug[20446]: DEVPATH is not set (subsystem input)
Jul 15 19:18:05 z kernel: usb 2-1: new low speed USB device using uhci_hcd and
address 51
Jul 15 19:18:05 z kernel: input: USB HID v1.11 Keyboard [Microsft Microsoft
Wireless Optical Desktop® 2.10] on usb-0000:00:1d.0-1
Jul 15 19:18:05 z hal.hotplug[20548]: DEVPATH is not set (subsystem input)
Jul 15 19:18:05 z kernel: usbhid: probe of 2-1:1.1 failed with error -5
Jul 15 19:18:05 z kernel: usb 2-1: USB disconnect, address 51
Comment 7 Jason Fiset 2005-09-26 14:32:05 EDT
Retested with kernel-2.6.12-1.1456_FC4 and getting the following error in
/var/log/messages and keeps looping through the errors until I unplug the USB
connector for the Keyboard/mouse receiver:

Sep 26 11:28:31 dhcp-101 kernel: usb 3-2: new low speed USB device using
ohci_hcd and address 2
Sep 26 11:28:31 dhcp-101 kernel: drivers/usb/input/hid-core.c: ctrl urb status
-110 received
Sep 26 11:28:31 dhcp-101 kernel: input: USB HID v1.11 Keyboard [Microsft
Microsoft Wireless Optical Desktop\uffff 2.10] on usb-0000:00:13.1-2
Sep 26 11:28:31 dhcp-101 hal.hotplug[3617]: DEVPATH is not set (subsystem
input)Sep 26 11:28:31 dhcp-101 kernel: usbhid: probe of 3-2:1.1 failed with error -5
Sep 26 11:28:31 dhcp-101 kernel: usb 3-2: USB disconnect, address 2
Sep 26 11:28:31 dhcp-101 kernel: drivers/usb/input/hid-core.c: can't resubmit
intr, 0000:00:13.1-2/input0, status -19
Sep 26 11:28:31 dhcp-101 hal.hotplug[3639]: DEVPATH is not set (subsystem
input)Sep 26 11:28:32 dhcp-101 kernel: usb 3-2: new low speed USB device using
ohci_hcd and address 3
Sep 26 11:28:32 dhcp-101 kernel: drivers/usb/input/hid-core.c: ctrl urb status
-110 received
Sep 26 11:28:32 dhcp-101 kernel: input: USB HID v1.11 Keyboard [Microsft
Microsoft Wireless Optical Desktop\uffff 2.10] on usb-0000:00:13.1-2
Sep 26 11:28:32 dhcp-101 hal.hotplug[3651]: DEVPATH is not set (subsystem
input)Sep 26 11:28:32 dhcp-101 kernel: usbhid: probe of 3-2:1.1 failed with error -5
Sep 26 11:28:32 dhcp-101 kernel: usb 3-2: USB disconnect, address 3
Sep 26 11:28:32 dhcp-101 hal.hotplug[3663]: DEVPATH is not set (subsystem
input)Sep 26 11:28:33 dhcp-101 kernel: usb 3-2: new low speed USB device using
ohci_hcd and address 4
Sep 26 11:28:33 dhcp-101 kernel: drivers/usb/input/hid-core.c: ctrl urb status
-110 received
Sep 26 11:28:33 dhcp-101 kernel: input: USB HID v1.11 Keyboard [Microsft
Microsoft Wireless Optical Desktop\uffff 2.10] on usb-0000:00:13.1-2
Sep 26 11:28:33 dhcp-101 hal.hotplug[3681]: DEVPATH is not set (subsystem
input)Sep 26 11:28:33 dhcp-101 kernel: usbhid: probe of 3-2:1.1 failed with error -5
Sep 26 11:28:33 dhcp-101 kernel: usb 3-2: USB disconnect, address 4
Sep 26 11:28:33 dhcp-101 hal.hotplug[3690]: DEVPATH is not set (subsystem
input)Sep 26 11:28:33 dhcp-101 kernel: usb 3-2: new low speed USB device using
ohci_hcd and address 5
Sep 26 11:28:33 dhcp-101 kernel: drivers/usb/input/hid-core.c: ctrl urb status
-110 received
Sep 26 11:28:33 dhcp-101 kernel: input: USB HID v1.11 Keyboard [Microsft
Microsoft Wireless Optical Desktop\uffff 2.10] on usb-0000:00:13.1-2
Sep 26 11:28:33 dhcp-101 hal.hotplug[3698]: DEVPATH is not set (subsystem
input)Sep 26 11:28:33 dhcp-101 kernel: usbhid: probe of 3-2:1.1 failed with error -5
Sep 26 11:28:33 dhcp-101 kernel: usb 3-2: USB disconnect, address 5
Sep 26 11:28:34 dhcp-101 hal.hotplug[3707]: DEVPATH is not set (subsystem
input)Sep 26 11:28:34 dhcp-101 kernel: usb 3-2: new low speed USB device using
ohci_hcd and address 6
Sep 26 11:28:34 dhcp-101 kernel: drivers/usb/input/hid-core.c: ctrl urb status
-110 received
Sep 26 11:28:34 dhcp-101 kernel: input: USB HID v1.11 Keyboard [Microsft
Microsoft Wireless Optical Desktop\uffff 2.10] on usb-0000:00:13.1-2
Sep 26 11:28:34 dhcp-101 hal.hotplug[3715]: DEVPATH is not set (subsystem
input)Sep 26 11:28:34 dhcp-101 kernel: usbhid: probe of 3-2:1.1 failed with error -5
Sep 26 11:28:34 dhcp-101 kernel: usb 3-2: USB disconnect, address 6
Sep 26 11:28:34 dhcp-101 kernel: drivers/usb/input/hid-core.c: can't resubmit
intr, 0000:00:13.1-2/input0, status -19
Sep 26 11:28:35 dhcp-101 hal.hotplug[3752]: DEVPATH is not set (subsystem
input)Sep 26 11:28:35 dhcp-101 kernel: usb 3-2: new low speed USB device using
ohci_hcd and address 7
Sep 26 11:28:36 dhcp-101 kernel: drivers/usb/input/hid-core.c: ctrl urb status
-110 received
Sep 26 11:28:36 dhcp-101 kernel: input: USB HID v1.11 Keyboard [Microsft
Microsoft Wireless Optical Desktop\uffff 2.10] on usb-0000:00:13.1-2
Sep 26 11:28:36 dhcp-101 hal.hotplug[3768]: DEVPATH is not set (subsystem
input)Sep 26 11:28:36 dhcp-101 kernel: usbhid: probe of 3-2:1.1 failed with error -5
Sep 26 11:28:36 dhcp-101 kernel: usb 3-2: USB disconnect, address 7
Sep 26 11:28:36 dhcp-101 hal.hotplug[3781]: DEVPATH is not set (subsystem input)
Comment 8 Dave Jones 2005-09-30 02:19:56 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 9 Bertil Askelid 2005-10-01 18:01:30 EDT
Still doesn't work. However, no error message. Instead it gets into a loop
connecting to addresses starting at 2 and disconnects before going to next. I
let it go to 100 before I removed the USB cable to the Wireless base station.
I'm using Inspiron 9300. Here's the /var/log/messages part of the two first
address connections:

Oct  1 14:30:24 z kernel: usb 5-2: new low speed USB device using uhci_hcd and
address 2
Oct  1 14:30:24 z kernel: input: USB HID v1.11 Keyboard [Microsft Microsoft
Wireless Optical Desktop® 2.10] on usb-0000:00:1d.3-2
Oct  1 14:30:24 z hal.hotplug[22327]: DEVPATH is not set (subsystem input)
Oct  1 14:30:24 z kernel: usb 5-2: USB disconnect, address 2
Oct  1 14:30:24 z hal.hotplug[22340]: DEVPATH is not set (subsystem input)
Oct  1 14:30:25 z kernel: usb 5-2: new low speed USB device using uhci_hcd and
address 3
Oct  1 14:30:25 z kernel: input: USB HID v1.11 Keyboard [Microsft Microsoft
Wireless Optical Desktop® 2.10] on usb-0000:00:1d.3-2
Oct  1 14:30:25 z hal.hotplug[22348]: DEVPATH is not set (subsystem input)
Oct  1 14:30:25 z kernel: usb 5-2: USB disconnect, address 3
Oct  1 14:30:25 z hal.hotplug[22370]: DEVPATH is not set (subsystem input)
Comment 10 Bertil Askelid 2005-10-01 18:02:57 EDT
Addition to comment #9: I used the 2.6.13-1.1526_FC4 kernel.
Comment 11 Dave Jones 2005-11-10 14:18:48 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 12 Bertil Askelid 2005-11-12 09:09:41 EST
The bug still remains with the same symptoms as described
above. kernel-2.6.14-1.1637_FC4 does not fix it.
Comment 13 Dave Jones 2006-02-03 00:22:35 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 14 Bertil Askelid 2006-02-04 14:54:48 EST
2.6.15-1.1830_FC4 doesn't solve the problem. Same symptoms as described above.
Comment 15 Dave Jones 2006-09-16 21:55:05 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 16 Dave Jones 2006-10-16 13:54:37 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 17 Bertil Askelid 2007-11-22 11:28:04 EST
Let's close this bug. I no longer have the keyboard in question so I can't test.
Comment 18 Jon Stanley 2008-01-19 23:38:23 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.